//
//  Project   : besy
//  File      : TCoinData.cc
//  Author    : Ronald Kriemann
//  Purpose   : class for holding security-info about a coin
//

#include "TCoinData.hh"

//
// constructor
//
TCoinData::TCoinData ()
{
    serialNo = -1;
}

//
// destructor
//
TCoinData::~TCoinData ()
{
}

//
// access serialNo
//
const long
TCoinData::getSerialNo () const
{
    return serialNo;
}

void
TCoinData::setSerialNo ( long n )
{
    serialNo = n;
}




    
//
// copy operator
//
TCoinData &
TCoinData::operator = ( const TCoinData & coinData )
{
    uint  i;    
    serialNo = coinData.serialNo;
    for (i = 0; i < NO_OF_ID; i++)
    {
        arrID[i] = coinData.arrID[i];       
    }// for    
    return *this;
}

//
// compare
//
bool
TCoinData::operator == ( const TCoinData & coinData )
{
    if (serialNo == coinData.serialNo)
        return TRUE;
    else
        return FALSE;
}

bool
TCoinData::operator != ( const TCoinData & coinData )
{
    return !(*this == coinData);
}
