#ifndef __TCOINDATA_HH
#define __TCOINDATA_HH
//
//  Project   : besy
//  File      : TCoinData.hh
//  Author    : Ronald Kriemann
//  Purpose   : class for holding security-info about a coin
//

#include "../misc/TCoin.hh"

//
//
//
class TCoinData
{
protected:
    // the serial no.
    long  serialNo;

public:
    // constructor
    TCoinData ();

    // destructor
    ~TCoinData ();

    // access serialNo
    const long getSerialNo () const;
    void setSerialNo ( long n );

  
    // the ID's
    TBitArray  arrID[NO_OF_ID];
    
    // copy operator
    TCoinData & operator = ( const TCoinData & coinData );

    // compare
    bool operator == ( const TCoinData & coinData );
    bool operator != ( const TCoinData & coinData );
};

#endif  // __TCOINDATA_HH
