#ifndef __TRANDOM_HH
#define __TRANDOM_HH

//
//  Project   : libmisc
//  File      : TRandom.hh
//  Author    : Ronald Kriemann
//  Purpose   : class for a random numer generator
//

//
//
//
class TRandom
{
protected:
//     static long    ranIx1, ranIx2, ranIx3;
//     static double  ranR[98];
    static bool    bInitialized;

protected:
    // hide constructor and operator
    TRandom ();
    TRandom ( const TRandom & );
    void operator = ( const TRandom & );

public:
    // init. random number generator
    static void seed ( int s );
    
    // return random number in [0,1]
    static double random ( int s = 0 );

    // return random number in [a,b]
    static double random ( double a, double b, int s = 0 );

    // return integer random in [0,RAND_MAX)
    static long randomInt ( int s = 0 );

    // return ineger random in [a,b)
    static long randomInt ( long a, long b, int s = 0 );
};

#endif  // __TRANDOM_HH
