#ifndef PERMISSION_HH
#define PERMISSION_HH

//
// Klasse fuer allgemeine Rechte
// wie READ;WRITE;LOCK;APPEND;OWN
//

#include <iostream.h>
#include <math.h>

enum Perms {READ,WRITE,LOCK,APPEND,OWN };
enum Mod { ADD, DEL };


class TPermission
{
public:
  TPermission(Perms P):Pm(P){};
  TPermission(const TPermission& P): Pm(P.value()) {};
  
    
  ~TPermission() {};

  TPermission& TPermission::operator = ( const TPermission &P)// Zuweisungsoperator
  {
    if (this == &P) return *this;
    Pm=P.value();
    return *this;
  }

 

  friend bool operator ==( TPermission P1, TPermission P2 ) {     // Test auf Gleichheit
    return P1.value()==P2.value(); };

  friend ostream& operator<<( ostream& os, TPermission &P ) {
    switch (P.value())
      {
      case READ:   os << "READ"   << endl; break;
      case WRITE:  os << "WRITE"  << endl; break;
      case LOCK:   os << "LOCK"   << endl; break;
      case APPEND: os << "APPEND" << endl; break;
      case OWN:    os << "OWN"    << endl; break;
      default: break;
      };
	return os;
  }
  
  Perms value() const { return Pm; };
   
private:
  Perms Pm;

};

#endif //PERMISSION_HH







