#ifndef __TCLIENTSOCKET_HH
#define __TCLIENTSOCKET_HH
//
//  Project   : libmisc
//  File      : TClientSocket.hh
//  Author    : Ronald Kriemann
//  Purpose   : class for socket-based communication
//

#include "TSocket.hh"

//
//
//
class TClientSocket : public TSocket
{
protected:
	// servername to connect to
	TString serverName;

	// state of connection
	bool   bConnected;

public:
	// constructor
	TClientSocket ( uint port );
	TClientSocket ( uint port, const TString &name );
	
	// connect to socket
	virtual int connect ();
};

#endif  // TCLIENTSOCKET_HH
