#ifndef ITERATOR_HH
#define ITERATOR_HH

#include "../misc/list.hh"

// Ermoeglicht ein Auzaehlung einer beliebigen Liste
// 3 Moeglichkeiten um Elemente der Liste zu erhalten
// Test = Liste vom Typ Type
// 1.
template <class Type>
class TIterator
{
protected:
    TList<Type>    *List;
    TElement<Type> *ActualElement;
 
public:
    TIterator( TList<Type> &L )
            : List(&L)
    {
        init();
    }
    ~TIterator() {}

    void init() { ActualElement=List->Element; };

    char operator ++(int) { this->next();return 0;};

    Type& next() {    
        TElement<Type>& buffer = *ActualElement;
        ActualElement=ActualElement->next;
        return buffer.Data;
    }

    TElement<Type>* actualElement() {
        return ActualElement;
    }
  
    Type& actual() {
        return ActualElement->Data;
    }
};


#endif //ITERATOR_HH
